name: 🎁 Release Charts

on:
  push:
    tags:
      - "*"

jobs:
  release:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4  
      - name: Publish Helm charts
        # uses: https://git.devthefuture.org/devthefuture/helm-pages.git@master
        uses: https://git.devthefuture.org/devthefuture/helm-pages.git@67ae29485d9312f224f5b188bc2a0ed9f2f4a4f2
        with:
          charts_dir: charts
          linting: off
          branch: pages
          charts_url: https://devthefuture.codeberg.page/helm-charts
          commit_username: "forgejo-actions"
          commit_email: "bot@devthefuture.org"
          repo_url: https://org-bot-devthefuture:${{ secrets.M8A_ORG_BOT_REPO_TOKEN }}@git.devthefuture.org/${{ github.repository }}.git